Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: LAMP webserver  (gelezen 2153 keer)

Gast

  • Gast
LAMP webserver
« Gepost op: 2006/02/08, 18:27:52 »
Ik zou graag een PHP website met databases op mijn laptop draaien.

Kan iemand mij vertellen hoe ik onder L (Ubuntu) A (Apache webserver) MySQL (dataserver) en PHP (scripttaal) samen aan het draaien krijg?

Mvg Rob.

Offline kennywest

  • Lid
    • http://kennywest.blogspot.com
  • Steunpunt: Nee
LAMP webserver
« Reactie #1 Gepost op: 2006/02/08, 18:31:34 »
Daar zijn massa's howtos over te vinden, bijv: http://www.lamphowto.com/lamp.htm
Je moet wel niet compilen van source, gebruik de packages die je kan installeren met apt-get.

Gast

  • Gast
LAMP webserver
« Reactie #2 Gepost op: 2006/02/08, 18:34:19 »
Oke ga ik dat  eens proberen.
Bedankt!

wr19026

  • Gast
LAMP webserver
« Reactie #3 Gepost op: 2006/02/08, 21:10:12 »
Hangt er vanaf of je het extern beschikbaar wil maken of voor ontwikkeling wil gebruiken. Kijk eens naar XAMPP op http://www.apachefriends.org/en/xampp-linux.html

Gast

  • Gast
LAMP webserver
« Reactie #4 Gepost op: 2006/02/09, 10:51:37 »
Hadsiekiedee...

Zo willen we het graag hebben Xampp geinstalleerd -zoals beschreven- en alles lijkt te werken.

Heb je ook nog een tip hoe ik mijn website(s) aan het draaien kan krijgen (directories, databaselinks, etc)?

Mvg Rob.

Offline kennywest

  • Lid
    • http://kennywest.blogspot.com
  • Steunpunt: Nee
LAMP webserver
« Reactie #5 Gepost op: 2006/02/09, 11:09:51 »
Wel hier lees je wat waar staat:
http://www.apachefriends.org/en/xampp-linux.html#385

Bijvoorbeeld:
/opt/lampp/htdocs/ bevat alle html pagina's

Gast

  • Gast
LAMP webserver
« Reactie #6 Gepost op: 2006/02/09, 12:50:31 »
Hoe werkt dat?

Moet ik de inhoud van /opt/lampp/htdocs/*.* verplaatsen en hiervoor in de plaats mijn website zetten en werken de databases dan automatisch of moet je die dan nog toewijzen?

Mvg Rob.

Offline Dennis Kaarsemaker

  • Administrator
    • dennis
    • http://www.kaarsemaker.net
  • Steunpunt: Nee
LAMP webserver
« Reactie #7 Gepost op: 2006/02/09, 13:51:12 »
Je kunt beter lampp weer verwijderen en de volgende pakketten installeren:
libapache2-mod-php5
php5-mysql
mysql-server-4.1
(eventuuel nog phpmyadmin)

Dan krijg je tenminste automatisch security updates binnen...